ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
security_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_page_parameters (&$Settings)
| compile_http_param (&$Settings)

## Data Fields
| $Security = false

## Detailed Description

Class processes generating page.

Author
  Dodonov A.A.

Definition at line 26 of file security_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 50 of file security_markup.php.

{
try
{
$this->Security = get_package( 'security' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_http_param | ( | & | $Settings | ) |

Function processes strings.

Parameters

  $Options | - Processing options.
  $Str | - Processing string.
  $Changed | - Was the processing completed.

Returns
  Processed string.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 240 of file security_markup.php.

{
try
{
$Name = $Settings->get_setting( 'name' );
$Type = $Settings->get_setting( 'type' , 'string' );
$Value = $this->get_value( $Name , $Type , $Settings );
return( $Value );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_page_parameters | ( | & | $Settings | ) |

Function processes strings.

Parameters

  $Settings | - Processing options.

Returns
  Parameters.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 193 of file security_markup.php.

{
try
{
$JSON = get_package( 'json' , 'last' , __FILE__ );
$Code = $JSON->encode( array_merge( $_GET , $_POST ) );
$Code = str_replace( "'" , '&#039;' , $Code );
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$Security = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 38 of file security_markup.php.

The documentation for this class was generated from the following file:

- packages/security/packages/security_markup/security_markup.php